Represents a group of values associated with the same key.

### Type parameters

- K
- V

### Hierarchy

- Iterable<V>
  - Grouping
    - HierarchyGrouping

### Implemented by

- GroupingImpl
- HierarchyGroupingImpl

## Index

### Properties

- [Grouping.key]
- key
- values

### Methods

- [Symbol.iterator]

## Properties

### [Grouping.key]

[Grouping.key]: K

- Defined in types.ts:93

The key associated with this group.

### key

key: unique symbol = Symbol("Grouping.key")

- Defined in types.ts:81
- Defined in types.ts:97

The key associated with this group.

NOTE: This is a convenience alias for [Grouping.key] and should return the same value.

### values

values: Iterable<V>

- Defined in types.ts:88

The key associated with this group.

NOTE: This is a convenience alias for the values in the grouping and should return the same values.

## Methods

### [Symbol.iterator]

- [Symbol.iterator](): Iterator<V>

- Inherited from Iterable.[Symbol.iterator]

  - Defined in C:/dev/iterable-query/node_modules/typescript/lib/lib.es2015.iterable.d.ts:43

  #### Returns Iterator<V>

Generated using TypeDoc